RubyMine 2017.1 EAP 3: Updated New Ruby Class Dialog, Fixed Markdown

Hi all,

Today we have updated our Early Access Program for the upcoming 2017.1 release. If you haven’t tried it yet, you’re welcome to download the newest RubyMine 2017.1 EAP3 from our What’s new page.

In the previous EAP post we announced quick gemset creation and RuboCop support. This small yet important update complements the previously announced EAP with the ability to create classes nested in the right modules by using the New Ruby Class dialog:

newclass1080

In other improvements, a hang in .md files that literally bugged some Mac users has been fixed.

As usually, you can check our Release notes for the full list of improvements.

Let us know what you think in the comments below, and use our tracker to submit your issues and feature requests.

Cheers!

Your RubyMine Team

This entry was posted in Announcement, WhatsMining and tagged , . Bookmark the permalink.

4 Responses to RubyMine 2017.1 EAP 3: Updated New Ruby Class Dialog, Fixed Markdown

  1. Gauthier P says:

    Hi,

    Do you have any plan to add a “Surround with module” option, or a module field in the new class dialog ? It’s currently not possible to easily surround the class or include it in a module with the module not in the class name.

    And why not provide an inspection to transform “class Module::Class” to “module Module \n class Class” and vis-versa ? It would be nice.

  2. Priit says:

    RubyMine supports Ruby versions 1.8.6 to 2.3 < is still valid for 2017-eap3 as well? So no 2.4.0 support yet?

    • Artem Sarkisov says:

      Hi Prrit,

      Ruby 2.4.0 is already supported both in stable 2016.3.1 release and 2017.1 EAPs, so you can use it in full in RubyMine. Thanks for pointing this out, we’ll update site info.

Leave a Reply

Your email address will not be published. Required fields are marked *